Page MenuHomePhabricator

Stop managing nfs shares for wikidata-dev project
Closed, ResolvedPublic

Description

While doing the dumps migration yesterday I noticed that the wikidata-dev project has nfs turned off across the project with mount_nfs:false at https://wikitech.wikimedia.org/wiki/Hiera:Wikidata-dev. But one of the instances, wikidata-lexeme, still has the older mounts:

root@wikidata-lexeme:~# df -Th
labstore1003.eqiad.wmnet:/scratch                               nfs4      3.0T  776G  2.1T  28% /mnt/nfs/labstore1003-scratch
nfs-tools-project.svc.eqiad.wmnet:/project/wikidata-dev/home    nfs4      5.0T  2.1T  2.8T  43% /mnt/nfs/labstore-secondary-home
labstore1003.eqiad.wmnet:/dumps                                 nfs4       28T   19T  9.7T  66% /public/dumps
nfs-tools-project.svc.eqiad.wmnet:/project/wikidata-dev/project nfs4      5.0T  2.1T  2.8T  43% /mnt/nfs/labstore-secondary-project

Since mount_nfs is false, none of the changes to nfsclient are being applied here. I'd like to remove this project from https://github.com/wikimedia/puppet/blob/production/modules/labstore/files/nfs-mounts.yaml, and manually clean up the mounts on wikidata-lexeme.wikidata-dev.eqiad.wmflabs.

If a project maintainer can confirm they no longer need NFS on this project, I can go ahead and do this. cc: @hoo

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2018, 4:46 PM
bd808 moved this task from Backlog to Shared Storage on the Data-Services board.Apr 4 2018, 11:50 PM
hoo added a comment.Apr 5 2018, 6:31 PM

We talked about this and we think we're good to go here (but no one knows for sure :P). Go ahead!

@hoo, alright thanks, feel free to ping me or the team if you need to reenable nfs for some reason!

Bstorm closed this task as Resolved.May 31 2019, 9:07 PM
Bstorm claimed this task.
Bstorm added a subscriber: Bstorm.

It appears that this was simply never closed. Since labstore1003 is being decommissioned, I'm pretty sure it is dated at least.